// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/storage/core/vo/file.proto

package vo

import (
	kernel "gitlab.com/ruijc/storage/core/kernel"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// 文件
type File struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// 标识
	Id uint64 `protobuf:"varint,3,opt,name=id,proto3" json:"id,omitempty"`
	// 名字
	Name string `protobuf:"bytes,4,opt,name=name,proto3" json:"name,omitempty"`
	// 状态
	Status kernel.Status `protobuf:"varint,5,opt,name=status,proto3,enum=com.ruijc.storage.core.kernel.Status" json:"status,omitempty"`
}

func (x *File) Reset() {
	*x = File{}
	if protoimpl.UnsafeEnabled {
		mi := &file_com_ruijc_storage_core_vo_file_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *File) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*File) ProtoMessage() {}

func (x *File) ProtoReflect() protoreflect.Message {
	mi := &file_com_ruijc_storage_core_vo_file_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use File.ProtoReflect.Descriptor instead.
func (*File) Descriptor() ([]byte, []int) {
	return file_com_ruijc_storage_core_vo_file_proto_rawDescGZIP(), []int{0}
}

func (x *File) GetId() uint64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *File) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *File) GetStatus() kernel.Status {
	if x != nil {
		return x.Status
	}
	return kernel.Status(0)
}

var File_com_ruijc_storage_core_vo_file_proto protoreflect.FileDescriptor

var file_com_ruijc_storage_core_vo_file_proto_rawDesc = []byte{
	0x0a, 0x24, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x76, 0x6f, 0x2f, 0x66, 0x69, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a,
	0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x76,
	0x6f, 0x1a, 0x2a, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f,
	0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c,
	0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x69, 0x0a,
	0x04, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x04, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x3d, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f,
	0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42, 0x42, 0x0a, 0x19, 0x63, 0x6f, 0x6d, 0x2e,
	0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f,
	0x72, 0x65, 0x2e, 0x76, 0x6f, 0x50, 0x01, 0x5a, 0x23, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x76, 0x6f, 0x3b, 0x76, 0x6f, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_com_ruijc_storage_core_vo_file_proto_rawDescOnce sync.Once
	file_com_ruijc_storage_core_vo_file_proto_rawDescData = file_com_ruijc_storage_core_vo_file_proto_rawDesc
)

func file_com_ruijc_storage_core_vo_file_proto_rawDescGZIP() []byte {
	file_com_ruijc_storage_core_vo_file_proto_rawDescOnce.Do(func() {
		file_com_ruijc_storage_core_vo_file_proto_rawDescData = protoimpl.X.CompressGZIP(file_com_ruijc_storage_core_vo_file_proto_rawDescData)
	})
	return file_com_ruijc_storage_core_vo_file_proto_rawDescData
}

var file_com_ruijc_storage_core_vo_file_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_com_ruijc_storage_core_vo_file_proto_goTypes = []interface{}{
	(*File)(nil),       // 0: com.ruijc.storage.core.vo.File
	(kernel.Status)(0), // 1: com.ruijc.storage.core.kernel.Status
}
var file_com_ruijc_storage_core_vo_file_proto_depIdxs = []int32{
	1, // 0: com.ruijc.storage.core.vo.File.status:type_name -> com.ruijc.storage.core.kernel.Status
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_com_ruijc_storage_core_vo_file_proto_init() }
func file_com_ruijc_storage_core_vo_file_proto_init() {
	if File_com_ruijc_storage_core_vo_file_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_com_ruijc_storage_core_vo_file_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*File); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_storage_core_vo_file_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_com_ruijc_storage_core_vo_file_proto_goTypes,
		DependencyIndexes: file_com_ruijc_storage_core_vo_file_proto_depIdxs,
		MessageInfos:      file_com_ruijc_storage_core_vo_file_proto_msgTypes,
	}.Build()
	File_com_ruijc_storage_core_vo_file_proto = out.File
	file_com_ruijc_storage_core_vo_file_proto_rawDesc = nil
	file_com_ruijc_storage_core_vo_file_proto_goTypes = nil
	file_com_ruijc_storage_core_vo_file_proto_depIdxs = nil
}
